Subject: Error when using shepherd on foreign distro
From: Einar Largenius <[email-masked]>
To: [email-masked]
Date: Fri, 19 Jan 2024 21:12:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I am setting up shepherd for use by my user account on a foreign distro. I setup as described in the manual in the section "(shepherd) Managing User Services". When I try to run it using shepherd, it crashes on the line:

     ;; Send shepherd into the background
     (perform-service-action 'shepherd 'daemonize)

with the error:

    Uncaught exception while loading configuration file '/home/jaadu/.config/shepherd/init.scm': (goops-error #f "No applicable method for ~S in call ~S" (#<<generic> service-actions (1)> (service-actions shepherd)) ())

Removing said line resolves the issue.

-- 
Med vänliga hälsningar Einar